@echo off
echo Basic Transfer Function for D1300812 as part of test procedure E1300845.
echo %date% %time%
echo Running basic transfer functions for PLL Board rev A.
echo Channel A1 should be teed to both Source Out and IN.
echo Channel A2 should be connected to VCO.  D3 (HF comp) should be down, all other switches up.  
set /p SERIAL="Serial number of D1300812 board (No :'s, please):"
set FILENAME=%SERIAL%INtoVCOTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 10 -n 401 --sweep Log -x 0.01 -t 2
echo Plug channel A2 into f/phi. Switches D2, D12, D13, and D14 should be down, all other switches up.
pause
set FILENAME=%SERIAL%INtofphi1TF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 401 --sweep Log -x 0.5 -t 2
echo Set D2 and D15 switches down, all other switches up.
pause
set FILENAME=%SERIAL%INtofphi2TF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 401 --sweep Log -x 0.5 -t 2
echo Transfer functions complete.
pause
